collapse

* Links de Robótica

* Posts Recentes

Printer 3D barata por tiagoxefe
[Hoje às 17:12]


Encomenda à PCBWay por beirao
[Hoje às 00:28]


Métodos de protecção dos circuitos electrónicos por KammutierSpule
[Ontem às 23:27]


Pós-processador Smoothieboard por jm_araujo
[Ontem às 12:56]


Fontes & Fans - Server por almamater
[Ontem às 12:44]


Alterações ao LusoRobótica por Hugu
[Ontem às 00:44]


HMI Wecon por beirao
[17 de Fevereiro de 2017, 22:58]


+1000 por dropes
[17 de Fevereiro de 2017, 11:57]


LEDs smd UV 380nm? por Hugu
[17 de Fevereiro de 2017, 00:18]


Qual a razão deste díodo? por senso
[16 de Fevereiro de 2017, 21:22]

Autor Tópico: Dificuldade com codigo  (Lida 1323 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline jig$aw

  • Mini Robot
  • *
  • Mensagens: 2
Dificuldade com codigo
« em: 02 de Fevereiro de 2015, 11:51 »
.
« Última modificação: 08 de Fevereiro de 2015, 23:30 por jig$aw »

Offline jm_araujo

  • Mini Robot
  • *
  • Mensagens: 1.799
  • NERD!
Re: Dificuldade com codigo
« Responder #1 em: 02 de Fevereiro de 2015, 11:57 »
Não sei.

Offline jm_araujo

  • Mini Robot
  • *
  • Mensagens: 1.799
  • NERD!
Re: Dificuldade com codigo
« Responder #2 em: 02 de Fevereiro de 2015, 12:33 »
Vou tentar ser meigo:
Descreve o projeto, o hardware( plataforma, componentes e ligações), o software que estás a usar, código que fizeste e bibliotecas que estás a usar, que estás a usar para compilar o código (PC/MAC, versões de compilador), que já conseguiste fazer funcionar, e onde é que estás a ter problemas.

As bolas de cristal por estas bandas não funcionam muito bem....


(e para começar podes tentar: http://bit.ly/1wWpzz7 )
« Última modificação: 02 de Fevereiro de 2015, 12:36 por jm_araujo »

Offline jm_araujo

  • Mini Robot
  • *
  • Mensagens: 1.799
  • NERD!
Re: Dificuldade com codigo
« Responder #3 em: 02 de Fevereiro de 2015, 13:18 »
As bibliotecas Button e EEPROMVar não estão incluídas com o Arduino 1.0.6, e pelos erros parece que estás a utilizar versões desatualizadas.
Ou procuras se há versões mais recentes, ou tens de corrigir os erros.


Mas se tens erros em 2 bibliotecas diferentes em simultâneo parece-me que estás a usar o arduino como uma maquina de fazer chouriços: mete carne (código feito) e tripa (arduino), sai chouriços (projeto pronto). Assim não aprendes nada, e vai-te ser muito difícil de detetar problemas que se fizeres um trabalho progressivo são fáceis de apanhar (como o caso de usar bibliotecas desatualizadas).

Online senso

  • Global Moderator
  • Mini Robot
  • *****
  • Mensagens: 9.099
  • Helpdesk do sitio
Re: Dificuldade com codigo
« Responder #4 em: 02 de Fevereiro de 2015, 14:27 »
Mostra o código, diria que ou tens um IDE muito antigo ou o código está a pedir bibliotecas á bruta sem necessidade, mas algo de errado se passa.
Avr fanboy

Offline jm_araujo

  • Mini Robot
  • *
  • Mensagens: 1.799
  • NERD!
Re: Dificuldade com codigo
« Responder #5 em: 02 de Fevereiro de 2015, 15:03 »
Citar
// v0.2 alpha 2010-23-11
.....
// Sketch developed in Arduino-18

Instala essa versão do Arduino e os problemas devem desaparecer. Em 5 anos muda sempre alguma coisa.

http://arduino.cc/en/Main/OldSoftwareReleases

StarRider

  • Visitante
Re: Dificuldade com codigo
« Responder #6 em: 02 de Fevereiro de 2015, 21:21 »
Déjà vu  >:(